Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
20b9::/16
First address
20b9::
Last address
20b9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
20b9:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
9.b.0.2.ip6.arpa
Split into smaller subnets/32

20b9::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
120b9::/3220b9:0:ffff:ffff:ffff:ffff:ffff:ffff
220b9:1::/3220b9:1:ffff:ffff:ffff:ffff:ffff:ffff
320b9:2::/3220b9:2:ffff:ffff:ffff:ffff:ffff:ffff
420b9:3::/3220b9:3:ffff:ffff:ffff:ffff:ffff:ffff
520b9:4::/3220b9:4:ffff:ffff:ffff:ffff:ffff:ffff
620b9:5::/3220b9:5:ffff:ffff:ffff:ffff:ffff:ffff
720b9:6::/3220b9:6:ffff:ffff:ffff:ffff:ffff:ffff
820b9:7::/3220b9:7:ffff:ffff:ffff:ffff:ffff:ffff
920b9:8::/3220b9:8:ffff:ffff:ffff:ffff:ffff:ffff
1020b9:9::/3220b9:9:ffff:ffff:ffff:ffff:ffff:ffff
1120b9:a::/3220b9:a:ffff:ffff:ffff:ffff:ffff:ffff
1220b9:b::/3220b9:b:ffff:ffff:ffff:ffff:ffff:ffff
1320b9:c::/3220b9:c:ffff:ffff:ffff:ffff:ffff:ffff
1420b9:d::/3220b9:d:ffff:ffff:ffff:ffff:ffff:ffff
1520b9:e::/3220b9:e:ffff:ffff:ffff:ffff:ffff:ffff
1620b9:f::/3220b9:f:ffff:ffff:ffff:ffff:ffff:ffff
1720b9:10::/3220b9:10:ffff:ffff:ffff:ffff:ffff:ffff
1820b9:11::/3220b9:11:ffff:ffff:ffff:ffff:ffff:ffff
1920b9:12::/3220b9:12:ffff:ffff:ffff:ffff:ffff:ffff
2020b9:13::/3220b9:13:ffff:ffff:ffff:ffff:ffff:ffff
2120b9:14::/3220b9:14:ffff:ffff:ffff:ffff:ffff:ffff
2220b9:15::/3220b9:15:ffff:ffff:ffff:ffff:ffff:ffff
2320b9:16::/3220b9:16:ffff:ffff:ffff:ffff:ffff:ffff
2420b9:17::/3220b9:17:ffff:ffff:ffff:ffff:ffff:ffff
2520b9:18::/3220b9:18:ffff:ffff:ffff:ffff:ffff:ffff
2620b9:19::/3220b9:19:ffff:ffff:ffff:ffff:ffff:ffff
2720b9:1a::/3220b9:1a:ffff:ffff:ffff:ffff:ffff:ffff
2820b9:1b::/3220b9:1b:ffff:ffff:ffff:ffff:ffff:ffff
2920b9:1c::/3220b9:1c:ffff:ffff:ffff:ffff:ffff:ffff
3020b9:1d::/3220b9:1d:ffff:ffff:ffff:ffff:ffff:ffff
3120b9:1e::/3220b9:1e:ffff:ffff:ffff:ffff:ffff:ffff
3220b9:1f::/3220b9:1f:ffff:ffff:ffff:ffff:ffff:ffff
3320b9:20::/3220b9:20:ffff:ffff:ffff:ffff:ffff:ffff
3420b9:21::/3220b9:21:ffff:ffff:ffff:ffff:ffff:ffff
3520b9:22::/3220b9:22:ffff:ffff:ffff:ffff:ffff:ffff
3620b9:23::/3220b9:23:ffff:ffff:ffff:ffff:ffff:ffff
3720b9:24::/3220b9:24:ffff:ffff:ffff:ffff:ffff:ffff
3820b9:25::/3220b9:25:ffff:ffff:ffff:ffff:ffff:ffff
3920b9:26::/3220b9:26:ffff:ffff:ffff:ffff:ffff:ffff
4020b9:27::/3220b9:27:ffff:ffff:ffff:ffff:ffff:ffff
4120b9:28::/3220b9:28:ffff:ffff:ffff:ffff:ffff:ffff
4220b9:29::/3220b9:29:ffff:ffff:ffff:ffff:ffff:ffff
4320b9:2a::/3220b9:2a:ffff:ffff:ffff:ffff:ffff:ffff
4420b9:2b::/3220b9:2b:ffff:ffff:ffff:ffff:ffff:ffff
4520b9:2c::/3220b9:2c:ffff:ffff:ffff:ffff:ffff:ffff
4620b9:2d::/3220b9:2d:ffff:ffff:ffff:ffff:ffff:ffff
4720b9:2e::/3220b9:2e:ffff:ffff:ffff:ffff:ffff:ffff
4820b9:2f::/3220b9:2f:ffff:ffff:ffff:ffff:ffff:ffff
4920b9:30::/3220b9:30:ffff:ffff:ffff:ffff:ffff:ffff
5020b9:31::/3220b9:31:ffff:ffff:ffff:ffff:ffff:ffff
5120b9:32::/3220b9:32:ffff:ffff:ffff:ffff:ffff:ffff
5220b9:33::/3220b9:33:ffff:ffff:ffff:ffff:ffff:ffff
5320b9:34::/3220b9:34:ffff:ffff:ffff:ffff:ffff:ffff
5420b9:35::/3220b9:35:ffff:ffff:ffff:ffff:ffff:ffff
5520b9:36::/3220b9:36:ffff:ffff:ffff:ffff:ffff:ffff
5620b9:37::/3220b9:37:ffff:ffff:ffff:ffff:ffff:ffff
5720b9:38::/3220b9:38:ffff:ffff:ffff:ffff:ffff:ffff
5820b9:39::/3220b9:39:ffff:ffff:ffff:ffff:ffff:ffff
5920b9:3a::/3220b9:3a:ffff:ffff:ffff:ffff:ffff:ffff
6020b9:3b::/3220b9:3b:ffff:ffff:ffff:ffff:ffff:ffff
6120b9:3c::/3220b9:3c:ffff:ffff:ffff:ffff:ffff:ffff
6220b9:3d::/3220b9:3d:ffff:ffff:ffff:ffff:ffff:ffff
6320b9:3e::/3220b9:3e:ffff:ffff:ffff:ffff:ffff:ffff
6420b9:3f::/3220b9:3f:ffff:ffff:ffff:ffff:ffff:ffff
6520b9:40::/3220b9:40:ffff:ffff:ffff:ffff:ffff:ffff
6620b9:41::/3220b9:41:ffff:ffff:ffff:ffff:ffff:ffff
6720b9:42::/3220b9:42:ffff:ffff:ffff:ffff:ffff:ffff
6820b9:43::/3220b9:43:ffff:ffff:ffff:ffff:ffff:ffff
6920b9:44::/3220b9:44:ffff:ffff:ffff:ffff:ffff:ffff
7020b9:45::/3220b9:45:ffff:ffff:ffff:ffff:ffff:ffff
7120b9:46::/3220b9:46:ffff:ffff:ffff:ffff:ffff:ffff
7220b9:47::/3220b9:47:ffff:ffff:ffff:ffff:ffff:ffff
7320b9:48::/3220b9:48:ffff:ffff:ffff:ffff:ffff:ffff
7420b9:49::/3220b9:49:ffff:ffff:ffff:ffff:ffff:ffff
7520b9:4a::/3220b9:4a:ffff:ffff:ffff:ffff:ffff:ffff
7620b9:4b::/3220b9:4b:ffff:ffff:ffff:ffff:ffff:ffff
7720b9:4c::/3220b9:4c:ffff:ffff:ffff:ffff:ffff:ffff
7820b9:4d::/3220b9:4d:ffff:ffff:ffff:ffff:ffff:ffff
7920b9:4e::/3220b9:4e:ffff:ffff:ffff:ffff:ffff:ffff
8020b9:4f::/3220b9:4f:ffff:ffff:ffff:ffff:ffff:ffff
8120b9:50::/3220b9:50:ffff:ffff:ffff:ffff:ffff:ffff
8220b9:51::/3220b9:51:ffff:ffff:ffff:ffff:ffff:ffff
8320b9:52::/3220b9:52:ffff:ffff:ffff:ffff:ffff:ffff
8420b9:53::/3220b9:53:ffff:ffff:ffff:ffff:ffff:ffff
8520b9:54::/3220b9:54:ffff:ffff:ffff:ffff:ffff:ffff
8620b9:55::/3220b9:55:ffff:ffff:ffff:ffff:ffff:ffff
8720b9:56::/3220b9:56:ffff:ffff:ffff:ffff:ffff:ffff
8820b9:57::/3220b9:57:ffff:ffff:ffff:ffff:ffff:ffff
8920b9:58::/3220b9:58:ffff:ffff:ffff:ffff:ffff:ffff
9020b9:59::/3220b9:59:ffff:ffff:ffff:ffff:ffff:ffff
9120b9:5a::/3220b9:5a:ffff:ffff:ffff:ffff:ffff:ffff
9220b9:5b::/3220b9:5b:ffff:ffff:ffff:ffff:ffff:ffff
9320b9:5c::/3220b9:5c:ffff:ffff:ffff:ffff:ffff:ffff
9420b9:5d::/3220b9:5d:ffff:ffff:ffff:ffff:ffff:ffff
9520b9:5e::/3220b9:5e:ffff:ffff:ffff:ffff:ffff:ffff
9620b9:5f::/3220b9:5f:ffff:ffff:ffff:ffff:ffff:ffff
9720b9:60::/3220b9:60:ffff:ffff:ffff:ffff:ffff:ffff
9820b9:61::/3220b9:61:ffff:ffff:ffff:ffff:ffff:ffff
9920b9:62::/3220b9:62:ffff:ffff:ffff:ffff:ffff:ffff
10020b9:63::/3220b9:63:ffff:ffff:ffff:ffff:ffff:ffff
10120b9:64::/3220b9:64:ffff:ffff:ffff:ffff:ffff:ffff
10220b9:65::/3220b9:65:ffff:ffff:ffff:ffff:ffff:ffff
10320b9:66::/3220b9:66:ffff:ffff:ffff:ffff:ffff:ffff
10420b9:67::/3220b9:67:ffff:ffff:ffff:ffff:ffff:ffff
10520b9:68::/3220b9:68:ffff:ffff:ffff:ffff:ffff:ffff
10620b9:69::/3220b9:69:ffff:ffff:ffff:ffff:ffff:ffff
10720b9:6a::/3220b9:6a:ffff:ffff:ffff:ffff:ffff:ffff
10820b9:6b::/3220b9:6b:ffff:ffff:ffff:ffff:ffff:ffff
10920b9:6c::/3220b9:6c:ffff:ffff:ffff:ffff:ffff:ffff
11020b9:6d::/3220b9:6d:ffff:ffff:ffff:ffff:ffff:ffff
11120b9:6e::/3220b9:6e:ffff:ffff:ffff:ffff:ffff:ffff
11220b9:6f::/3220b9:6f:ffff:ffff:ffff:ffff:ffff:ffff
11320b9:70::/3220b9:70:ffff:ffff:ffff:ffff:ffff:ffff
11420b9:71::/3220b9:71:ffff:ffff:ffff:ffff:ffff:ffff
11520b9:72::/3220b9:72:ffff:ffff:ffff:ffff:ffff:ffff
11620b9:73::/3220b9:73:ffff:ffff:ffff:ffff:ffff:ffff
11720b9:74::/3220b9:74:ffff:ffff:ffff:ffff:ffff:ffff
11820b9:75::/3220b9:75:ffff:ffff:ffff:ffff:ffff:ffff
11920b9:76::/3220b9:76:ffff:ffff:ffff:ffff:ffff:ffff
12020b9:77::/3220b9:77:ffff:ffff:ffff:ffff:ffff:ffff
12120b9:78::/3220b9:78:ffff:ffff:ffff:ffff:ffff:ffff
12220b9:79::/3220b9:79:ffff:ffff:ffff:ffff:ffff:ffff
12320b9:7a::/3220b9:7a:ffff:ffff:ffff:ffff:ffff:ffff
12420b9:7b::/3220b9:7b:ffff:ffff:ffff:ffff:ffff:ffff
12520b9:7c::/3220b9:7c:ffff:ffff:ffff:ffff:ffff:ffff
12620b9:7d::/3220b9:7d:ffff:ffff:ffff:ffff:ffff:ffff
12720b9:7e::/3220b9:7e:ffff:ffff:ffff:ffff:ffff:ffff
12820b9:7f::/3220b9:7f:ffff:ffff:ffff:ffff:ffff:ffff
12920b9:80::/3220b9:80:ffff:ffff:ffff:ffff:ffff:ffff
13020b9:81::/3220b9:81:ffff:ffff:ffff:ffff:ffff:ffff
13120b9:82::/3220b9:82:ffff:ffff:ffff:ffff:ffff:ffff
13220b9:83::/3220b9:83:ffff:ffff:ffff:ffff:ffff:ffff
13320b9:84::/3220b9:84:ffff:ffff:ffff:ffff:ffff:ffff
13420b9:85::/3220b9:85:ffff:ffff:ffff:ffff:ffff:ffff
13520b9:86::/3220b9:86:ffff:ffff:ffff:ffff:ffff:ffff
13620b9:87::/3220b9:87:ffff:ffff:ffff:ffff:ffff:ffff
13720b9:88::/3220b9:88:ffff:ffff:ffff:ffff:ffff:ffff
13820b9:89::/3220b9:89:ffff:ffff:ffff:ffff:ffff:ffff
13920b9:8a::/3220b9:8a:ffff:ffff:ffff:ffff:ffff:ffff
14020b9:8b::/3220b9:8b:ffff:ffff:ffff:ffff:ffff:ffff
14120b9:8c::/3220b9:8c:ffff:ffff:ffff:ffff:ffff:ffff
14220b9:8d::/3220b9:8d:ffff:ffff:ffff:ffff:ffff:ffff
14320b9:8e::/3220b9:8e:ffff:ffff:ffff:ffff:ffff:ffff
14420b9:8f::/3220b9:8f:ffff:ffff:ffff:ffff:ffff:ffff
14520b9:90::/3220b9:90:ffff:ffff:ffff:ffff:ffff:ffff
14620b9:91::/3220b9:91:ffff:ffff:ffff:ffff:ffff:ffff
14720b9:92::/3220b9:92:ffff:ffff:ffff:ffff:ffff:ffff
14820b9:93::/3220b9:93:ffff:ffff:ffff:ffff:ffff:ffff
14920b9:94::/3220b9:94:ffff:ffff:ffff:ffff:ffff:ffff
15020b9:95::/3220b9:95:ffff:ffff:ffff:ffff:ffff:ffff
15120b9:96::/3220b9:96:ffff:ffff:ffff:ffff:ffff:ffff
15220b9:97::/3220b9:97:ffff:ffff:ffff:ffff:ffff:ffff
15320b9:98::/3220b9:98:ffff:ffff:ffff:ffff:ffff:ffff
15420b9:99::/3220b9:99:ffff:ffff:ffff:ffff:ffff:ffff
15520b9:9a::/3220b9:9a:ffff:ffff:ffff:ffff:ffff:ffff
15620b9:9b::/3220b9:9b:ffff:ffff:ffff:ffff:ffff:ffff
15720b9:9c::/3220b9:9c:ffff:ffff:ffff:ffff:ffff:ffff
15820b9:9d::/3220b9:9d:ffff:ffff:ffff:ffff:ffff:ffff
15920b9:9e::/3220b9:9e:ffff:ffff:ffff:ffff:ffff:ffff
16020b9:9f::/3220b9:9f:ffff:ffff:ffff:ffff:ffff:ffff
16120b9:a0::/3220b9:a0:ffff:ffff:ffff:ffff:ffff:ffff
16220b9:a1::/3220b9:a1:ffff:ffff:ffff:ffff:ffff:ffff
16320b9:a2::/3220b9:a2:ffff:ffff:ffff:ffff:ffff:ffff
16420b9:a3::/3220b9:a3:ffff:ffff:ffff:ffff:ffff:ffff
16520b9:a4::/3220b9:a4:ffff:ffff:ffff:ffff:ffff:ffff
16620b9:a5::/3220b9:a5:ffff:ffff:ffff:ffff:ffff:ffff
16720b9:a6::/3220b9:a6:ffff:ffff:ffff:ffff:ffff:ffff
16820b9:a7::/3220b9:a7:ffff:ffff:ffff:ffff:ffff:ffff
16920b9:a8::/3220b9:a8:ffff:ffff:ffff:ffff:ffff:ffff
17020b9:a9::/3220b9:a9:ffff:ffff:ffff:ffff:ffff:ffff
17120b9:aa::/3220b9:aa:ffff:ffff:ffff:ffff:ffff:ffff
17220b9:ab::/3220b9:ab:ffff:ffff:ffff:ffff:ffff:ffff
17320b9:ac::/3220b9:ac:ffff:ffff:ffff:ffff:ffff:ffff
17420b9:ad::/3220b9:ad:ffff:ffff:ffff:ffff:ffff:ffff
17520b9:ae::/3220b9:ae:ffff:ffff:ffff:ffff:ffff:ffff
17620b9:af::/3220b9:af:ffff:ffff:ffff:ffff:ffff:ffff
17720b9:b0::/3220b9:b0:ffff:ffff:ffff:ffff:ffff:ffff
17820b9:b1::/3220b9:b1:ffff:ffff:ffff:ffff:ffff:ffff
17920b9:b2::/3220b9:b2:ffff:ffff:ffff:ffff:ffff:ffff
18020b9:b3::/3220b9:b3:ffff:ffff:ffff:ffff:ffff:ffff
18120b9:b4::/3220b9:b4:ffff:ffff:ffff:ffff:ffff:ffff
18220b9:b5::/3220b9:b5:ffff:ffff:ffff:ffff:ffff:ffff
18320b9:b6::/3220b9:b6:ffff:ffff:ffff:ffff:ffff:ffff
18420b9:b7::/3220b9:b7:ffff:ffff:ffff:ffff:ffff:ffff
18520b9:b8::/3220b9:b8:ffff:ffff:ffff:ffff:ffff:ffff
18620b9:b9::/3220b9:b9:ffff:ffff:ffff:ffff:ffff:ffff
18720b9:ba::/3220b9:ba:ffff:ffff:ffff:ffff:ffff:ffff
18820b9:bb::/3220b9:bb:ffff:ffff:ffff:ffff:ffff:ffff
18920b9:bc::/3220b9:bc:ffff:ffff:ffff:ffff:ffff:ffff
19020b9:bd::/3220b9:bd:ffff:ffff:ffff:ffff:ffff:ffff
19120b9:be::/3220b9:be:ffff:ffff:ffff:ffff:ffff:ffff
19220b9:bf::/3220b9:bf:ffff:ffff:ffff:ffff:ffff:ffff
19320b9:c0::/3220b9:c0:ffff:ffff:ffff:ffff:ffff:ffff
19420b9:c1::/3220b9:c1:ffff:ffff:ffff:ffff:ffff:ffff
19520b9:c2::/3220b9:c2:ffff:ffff:ffff:ffff:ffff:ffff
19620b9:c3::/3220b9:c3:ffff:ffff:ffff:ffff:ffff:ffff
19720b9:c4::/3220b9:c4:ffff:ffff:ffff:ffff:ffff:ffff
19820b9:c5::/3220b9:c5:ffff:ffff:ffff:ffff:ffff:ffff
19920b9:c6::/3220b9:c6:ffff:ffff:ffff:ffff:ffff:ffff
20020b9:c7::/3220b9:c7:ffff:ffff:ffff:ffff:ffff:ffff
20120b9:c8::/3220b9:c8:ffff:ffff:ffff:ffff:ffff:ffff
20220b9:c9::/3220b9:c9:ffff:ffff:ffff:ffff:ffff:ffff
20320b9:ca::/3220b9:ca:ffff:ffff:ffff:ffff:ffff:ffff
20420b9:cb::/3220b9:cb:ffff:ffff:ffff:ffff:ffff:ffff
20520b9:cc::/3220b9:cc:ffff:ffff:ffff:ffff:ffff:ffff
20620b9:cd::/3220b9:cd:ffff:ffff:ffff:ffff:ffff:ffff
20720b9:ce::/3220b9:ce:ffff:ffff:ffff:ffff:ffff:ffff
20820b9:cf::/3220b9:cf:ffff:ffff:ffff:ffff:ffff:ffff
20920b9:d0::/3220b9:d0:ffff:ffff:ffff:ffff:ffff:ffff
21020b9:d1::/3220b9:d1:ffff:ffff:ffff:ffff:ffff:ffff
21120b9:d2::/3220b9:d2:ffff:ffff:ffff:ffff:ffff:ffff
21220b9:d3::/3220b9:d3:ffff:ffff:ffff:ffff:ffff:ffff
21320b9:d4::/3220b9:d4:ffff:ffff:ffff:ffff:ffff:ffff
21420b9:d5::/3220b9:d5:ffff:ffff:ffff:ffff:ffff:ffff
21520b9:d6::/3220b9:d6:ffff:ffff:ffff:ffff:ffff:ffff
21620b9:d7::/3220b9:d7:ffff:ffff:ffff:ffff:ffff:ffff
21720b9:d8::/3220b9:d8:ffff:ffff:ffff:ffff:ffff:ffff
21820b9:d9::/3220b9:d9:ffff:ffff:ffff:ffff:ffff:ffff
21920b9:da::/3220b9:da:ffff:ffff:ffff:ffff:ffff:ffff
22020b9:db::/3220b9:db:ffff:ffff:ffff:ffff:ffff:ffff
22120b9:dc::/3220b9:dc:ffff:ffff:ffff:ffff:ffff:ffff
22220b9:dd::/3220b9:dd:ffff:ffff:ffff:ffff:ffff:ffff
22320b9:de::/3220b9:de:ffff:ffff:ffff:ffff:ffff:ffff
22420b9:df::/3220b9:df:ffff:ffff:ffff:ffff:ffff:ffff
22520b9:e0::/3220b9:e0:ffff:ffff:ffff:ffff:ffff:ffff
22620b9:e1::/3220b9:e1:ffff:ffff:ffff:ffff:ffff:ffff
22720b9:e2::/3220b9:e2:ffff:ffff:ffff:ffff:ffff:ffff
22820b9:e3::/3220b9:e3:ffff:ffff:ffff:ffff:ffff:ffff
22920b9:e4::/3220b9:e4:ffff:ffff:ffff:ffff:ffff:ffff
23020b9:e5::/3220b9:e5:ffff:ffff:ffff:ffff:ffff:ffff
23120b9:e6::/3220b9:e6:ffff:ffff:ffff:ffff:ffff:ffff
23220b9:e7::/3220b9:e7:ffff:ffff:ffff:ffff:ffff:ffff
23320b9:e8::/3220b9:e8:ffff:ffff:ffff:ffff:ffff:ffff
23420b9:e9::/3220b9:e9:ffff:ffff:ffff:ffff:ffff:ffff
23520b9:ea::/3220b9:ea:ffff:ffff:ffff:ffff:ffff:ffff
23620b9:eb::/3220b9:eb:ffff:ffff:ffff:ffff:ffff:ffff
23720b9:ec::/3220b9:ec:ffff:ffff:ffff:ffff:ffff:ffff
23820b9:ed::/3220b9:ed:ffff:ffff:ffff:ffff:ffff:ffff
23920b9:ee::/3220b9:ee:ffff:ffff:ffff:ffff:ffff:ffff
24020b9:ef::/3220b9:ef:ffff:ffff:ffff:ffff:ffff:ffff
24120b9:f0::/3220b9:f0:ffff:ffff:ffff:ffff:ffff:ffff
24220b9:f1::/3220b9:f1:ffff:ffff:ffff:ffff:ffff:ffff
24320b9:f2::/3220b9:f2:ffff:ffff:ffff:ffff:ffff:ffff
24420b9:f3::/3220b9:f3:ffff:ffff:ffff:ffff:ffff:ffff
24520b9:f4::/3220b9:f4:ffff:ffff:ffff:ffff:ffff:ffff
24620b9:f5::/3220b9:f5:ffff:ffff:ffff:ffff:ffff:ffff
24720b9:f6::/3220b9:f6:ffff:ffff:ffff:ffff:ffff:ffff
24820b9:f7::/3220b9:f7:ffff:ffff:ffff:ffff:ffff:ffff
24920b9:f8::/3220b9:f8:ffff:ffff:ffff:ffff:ffff:ffff
25020b9:f9::/3220b9:f9:ffff:ffff:ffff:ffff:ffff:ffff
25120b9:fa::/3220b9:fa:ffff:ffff:ffff:ffff:ffff:ffff
25220b9:fb::/3220b9:fb:ffff:ffff:ffff:ffff:ffff:ffff
25320b9:fc::/3220b9:fc:ffff:ffff:ffff:ffff:ffff:ffff
25420b9:fd::/3220b9:fd:ffff:ffff:ffff:ffff:ffff:ffff
25520b9:fe::/3220b9:fe:ffff:ffff:ffff:ffff:ffff:ffff
25620b9:ff::/3220b9:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses